Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(25)

Issue 575620043: Add Code of Conduct (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks, 3 days ago by janek
Modified:
2 weeks, 6 days ago
Reviewers:
Karlin High, dak, hahnjo, james.lowe, c_sorensen, dan, Dan Eble, mail, benko.pal, wl, kieren_macmillan, david.nalesnik, pkx166h, pkx166h, mike, lists, thomasmorley651, hanwenn
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

From Mike Solomon, originally discussed at https://github.com/lilypond/lilypond/pull/8: > Adds the Contributor Convent Code of Conduct to LilyPond. If we implemented a > code of conduct, it would only make sense if we had an enforcement committee. > In most organizations, enforcement committee members are exemplary of the code > itself. > > The list of adopters is quite robust [1], and I think it has been used with a lot > of success. I really hope we can adopt it. > > I would vote for @jan-warchol, @lemzwerg and @hanwen to be the members of the > first code of conduct committee. All suggested members of the committee agree to accept this duty. So, now the question is for the whole LilyPond community: do you agree to having this Code of Conduct and do you accept the nominees to form the committee? [1] it includes linux kernel and git project itself.

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+131 lines, -0 lines) Patch
A CODE_OF_CONDUCT.md View 1 chunk +131 lines, -0 lines 0 comments Download

Messages

Total messages: 65
janek
It seems I cannot create issues on sourceforge despite having an account... > Please enter ...
3 weeks, 3 days ago (2020-02-04 23:02:13 UTC) #1
dak
What problem are we trying to solve here?
3 weeks, 3 days ago (2020-02-04 23:34:12 UTC) #2
Karlin High
I am trying to understand the origins, motivations, and goals of this effort to adopt ...
3 weeks, 2 days ago (2020-02-05 03:25:14 UTC) #3
janek
Hi, śr., 5 lut 2020, 00:34 użytkownik <dak@gnu.org> napisał: > What problem are we trying ...
3 weeks, 2 days ago (2020-02-05 08:14:20 UTC) #4
hahnjo
Not having read any of this, I strongly suggest that this is discussed on lilypond-devel ...
3 weeks, 2 days ago (2020-02-05 08:18:44 UTC) #5
janek
Hi Jonas, śr., 5 lut 2020 o 09:18 <jonas.hahnfeld@gmail.com> napisał(a): > Not having read any ...
3 weeks, 2 days ago (2020-02-05 08:44:06 UTC) #6
hahnjo
On 2020/02/05 08:44:06, janek wrote: > Hi Jonas, > > śr., 5 lut 2020 o ...
3 weeks, 2 days ago (2020-02-05 09:03:22 UTC) #7
Dan Eble
On 2020/02/05 09:03:22, hahnjo wrote: > In my opinion we should have a thread on ...
3 weeks, 2 days ago (2020-02-05 12:04:32 UTC) #8
dak
Janek Warchoł <janek.lilypond@gmail.com> writes: > Hi, > > śr., 5 lut 2020, 00:34 użytkownik <dak@gnu.org> ...
3 weeks, 2 days ago (2020-02-05 13:41:35 UTC) #9
mike_meeshkan.com
Janek Warchoł <janek.lilypond@gmail.com> writes: > Hi, > > śr., 5 lut 2020, 00:34 użytkownik <dak@gnu.org> ...
3 weeks, 2 days ago (2020-02-05 14:29:15 UTC) #10
dak
Mike Solomon <mike@meeshkan.com> writes: > Janek Warchoł <janek.lilypond@gmail.com> writes: > >> Hi, >> >> śr., ...
3 weeks, 2 days ago (2020-02-05 14:39:38 UTC) #11
dak
Another remark: Mike Solomon <mike@meeshkan.com> writes: > At the Salzburg meetup, one common thing a ...
3 weeks, 2 days ago (2020-02-05 14:49:12 UTC) #12
mike_meeshkan.com
Mike Solomon <mike@meeshkan.com> writes: > The preamble and intent is one thing; adding a corrective ...
3 weeks, 2 days ago (2020-02-05 15:20:59 UTC) #13
dak
Mike Solomon <mike@meeshkan.com> writes: > Mike Solomon <mike@meeshkan.com> writes: > >> The preamble and intent ...
3 weeks, 2 days ago (2020-02-05 15:40:02 UTC) #14
mike_meeshkan.com
One procedural question: what are acceptance procedures for a PR like this? There is good ...
3 weeks, 2 days ago (2020-02-05 16:01:24 UTC) #15
dak
Mike Solomon <mike@meeshkan.com> writes: > One procedural question: what are acceptance procedures for a PR ...
3 weeks, 2 days ago (2020-02-05 16:15:50 UTC) #16
mike_meeshkan.com
> What does "implement" mean? Sorry, I wasn't clear. I meant merge the PR.
3 weeks, 2 days ago (2020-02-05 16:21:02 UTC) #17
dak
Mike Solomon <mike@meeshkan.com> writes: >> What does "implement" mean? > > Sorry, I wasn't clear. ...
3 weeks, 2 days ago (2020-02-05 16:24:22 UTC) #18
mike_meeshkan.com
Mike Solomon <mike@meeshkan.com> writes: >> What does "implement" mean? > > Sorry, I wasn't clear. ...
3 weeks, 2 days ago (2020-02-05 16:37:10 UTC) #19
dak
Mike Solomon <mike@meeshkan.com> writes: > Mike Solomon <mike@meeshkan.com> writes: > >>> What does "implement" mean? ...
3 weeks, 2 days ago (2020-02-05 17:01:16 UTC) #20
c_sorensen
On 2/5/20, 7:40 AM, "lilypond-devel on behalf of David Kastrup" <lilypond-devel-bounces+c_sorensen=byu.edu@gnu.org on behalf of dak@gnu.org> ...
3 weeks, 2 days ago (2020-02-05 18:17:25 UTC) #21
david.nalesnik
On 2020/02/05 18:17:25, c_sorensen wrote: > > On 2/5/20, 7:40 AM, "lilypond-devel on behalf of ...
3 weeks, 2 days ago (2020-02-05 19:01:33 UTC) #22
Dan Eble
On 2020/02/05 18:17:25, c_sorensen wrote: > I recognize that Mike Solomon has a different opinion. ...
3 weeks, 2 days ago (2020-02-05 19:08:29 UTC) #23
mike_meeshkan.com
On 2020/02/05 18:17:25, c_sorensen wrote: > I recognize that Mike Solomon has a different opinion. ...
3 weeks, 2 days ago (2020-02-05 19:27:04 UTC) #24
lists_openlilylib.org
Am 5. Februar 2020 20:08:28 MEZ schrieb nine.fierce.ballads@gmail.com: >On 2020/02/05 18:17:25, c_sorensen wrote: >> I ...
3 weeks, 2 days ago (2020-02-05 20:15:48 UTC) #25
mail_philholmes.net
----- Original Message ----- From: <nine.fierce.ballads@gmail.com> To: <janek.lilypond@gmail.com>; <pkx166h@gmail.com>; <dak@gnu.org>; <karlinhigh@gmail.com>; <jonas.hahnfeld@gmail.com>; <mike@meeshkan.com>; <c_sorensen@byu.edu>; <david.nalesnik@gmail.com> ...
3 weeks, 2 days ago (2020-02-05 20:17:56 UTC) #26
dak
Urs Liska <lists@openlilylib.org> writes: > Am 5. Februar 2020 20:08:28 MEZ schrieb nine.fierce.ballads@gmail.com: >>On 2020/02/05 ...
3 weeks, 2 days ago (2020-02-05 20:21:50 UTC) #27
dak
"Phil Holmes" <mail@philholmes.net> writes: > I've kept out of this debate for a long time ...
3 weeks, 2 days ago (2020-02-05 20:27:23 UTC) #28
c_sorensen
From: Mike Solomon <mike@meeshkan.com> Date: Wednesday, February 5, 2020 at 12:27 PM To: "janek.lilypond@gmail.com" <janek.lilypond@gmail.com>, ...
3 weeks, 2 days ago (2020-02-05 20:47:26 UTC) #29
janek
I'll try to speak only on the most pressing points to avoid bloating the discussion ...
3 weeks, 2 days ago (2020-02-05 23:32:43 UTC) #30
thomasmorley651
Hi all, Being on the lists for many years now I remember only a few ...
3 weeks, 1 day ago (2020-02-06 01:26:58 UTC) #31
david.nalesnik
On Wed, Feb 5, 2020 at 7:37 PM Thomas Morley <thomasmorley65@gmail.com> wrote: > > Hi ...
3 weeks, 1 day ago (2020-02-06 01:49:17 UTC) #32
dak
Thomas Morley <thomasmorley65@gmail.com> writes: > As an example look at the review of one of ...
3 weeks, 1 day ago (2020-02-06 01:55:44 UTC) #33
thomasmorley651
Am Do., 6. Feb. 2020 um 02:55 Uhr schrieb David Kastrup <dak@gnu.org>: > > Thomas ...
3 weeks, 1 day ago (2020-02-06 02:07:21 UTC) #34
wl_gnu.org
[Being on the return from Hawaii I'm late with everything, so please don't be surprised ...
3 weeks, 1 day ago (2020-02-06 02:46:21 UTC) #35
wl_gnu.org
David, > [...] the principal impact to be expected on LilyPond development > appears to ...
3 weeks, 1 day ago (2020-02-06 02:48:37 UTC) #36
Karlin High
I've been following Lilypond mailing lists since 2016 or so. I'd describe my most common ...
3 weeks, 1 day ago (2020-02-06 04:18:45 UTC) #37
dan_faithful.be
On Feb 5, 2020, at 20:26, Thomas Morley <thomasmorley65@gmail.com> wrote: > So to repeat myself, ...
3 weeks, 1 day ago (2020-02-06 04:36:32 UTC) #38
janek
Let me write a clarification and a disclaimer. It was not the purpose of my ...
3 weeks, 1 day ago (2020-02-06 08:16:47 UTC) #39
janek
David, czw., 6 lut 2020, 02:55 użytkownik David Kastrup <dak@gnu.org> napisał: > Not everybody likes ...
3 weeks, 1 day ago (2020-02-06 08:37:52 UTC) #40
janek
Werner, czw., 6 lut 2020, 03:46 użytkownik Werner LEMBERG <wl@gnu.org> napisał: > > > The ...
3 weeks, 1 day ago (2020-02-06 08:37:52 UTC) #41
pkx166h_posteo.net
Hello, I am still struggling to understand the point of a COC for the LP ...
3 weeks, 1 day ago (2020-02-06 09:47:20 UTC) #42
benko.pal
Janek Warchoł <janek.lilypond@gmail.com> ezt írta (időpont: 2020. febr. 6., Cs, 0:32): > > I'll try ...
3 weeks, 1 day ago (2020-02-06 11:03:32 UTC) #43
dak
Benkő Pál <benko.pal@gmail.com> writes: > Janek Warchoł <janek.lilypond@gmail.com> ezt írta (időpont: 2020. > febr. 6., ...
3 weeks, 1 day ago (2020-02-06 13:38:47 UTC) #44
benko.pal
David Kastrup <dak@gnu.org> ezt írta (időpont: 2020. febr. 6., Cs, 14:38): > > Benkő Pál ...
3 weeks, 1 day ago (2020-02-06 14:08:39 UTC) #45
kieren_macmillan_sympatico.ca
Hi James, > I am still struggling to understand the point of a COC for ...
3 weeks, 1 day ago (2020-02-06 14:40:22 UTC) #46
kieren_macmillan_sympatico.ca
Hi Karlin, > I've been following Lilypond mailing lists since 2016 or so. I'd > ...
3 weeks, 1 day ago (2020-02-06 14:46:03 UTC) #47
dak
Kieren MacMillan <kieren_macmillan@sympatico.ca> writes: > Hi James, > >> I am still struggling to understand ...
3 weeks, 1 day ago (2020-02-06 14:59:59 UTC) #48
kieren_macmillan_sympatico.ca
Hi David, > The problem with an approach focused on punishment and expulsion is that ...
3 weeks, 1 day ago (2020-02-06 15:06:05 UTC) #49
dak
Kieren MacMillan <kieren_macmillan@sympatico.ca> writes: > Hi David, > >> The problem with an approach focused ...
3 weeks, 1 day ago (2020-02-06 15:21:49 UTC) #50
kieren_macmillan_sympatico.ca
Hi David, > No, the problem is that this solution to the problems of bad ...
3 weeks, 1 day ago (2020-02-06 15:27:33 UTC) #51
wl_gnu.org
> I'd like to recommend that everyone argues with him [David K.], if > you ...
3 weeks, 1 day ago (2020-02-06 15:28:00 UTC) #52
dak
Werner LEMBERG <wl@gnu.org> writes: >> I'd like to recommend that everyone argues with him [David ...
3 weeks, 1 day ago (2020-02-06 15:37:10 UTC) #53
james.lowe_posteo.net
On 06/02/2020 15:37, David Kastrup wrote: > Werner LEMBERG <wl@gnu.org> writes: > >>> I'd like ...
3 weeks, 1 day ago (2020-02-06 20:09:33 UTC) #54
dak
James Lowe <james.lowe@posteo.net> writes: > On 06/02/2020 15:37, David Kastrup wrote: >> Werner LEMBERG <wl@gnu.org> ...
3 weeks, 1 day ago (2020-02-06 20:46:10 UTC) #55
c_sorensen
On 2/6/20, 1:46 PM, "lilypond-devel on behalf of David Kastrup" <lilypond-devel-bounces+c_sorensen=byu.edu@gnu.org on behalf of dak@gnu.org> ...
3 weeks, 1 day ago (2020-02-06 20:56:47 UTC) #56
kieren_macmillan_sympatico.ca
Hi James (et al.), > Goodness gracious! > Do all those who feel so positive ...
3 weeks, 1 day ago (2020-02-06 21:41:23 UTC) #57
Karlin High
On 2/6/2020 2:45 PM, David Kastrup wrote: > I am working on an Email signature ...
3 weeks, 1 day ago (2020-02-07 00:05:37 UTC) #58
hanwenn
On Fri, Feb 7, 2020 at 1:05 AM Karlin High <karlinhigh@gmail.com> wrote: > On 2/6/2020 ...
3 weeks ago (2020-02-07 10:05:36 UTC) #59
hanwenn
On Thu, Feb 6, 2020 at 2:55 AM David Kastrup <dak@gnu.org> wrote: > Thomas Morley ...
3 weeks ago (2020-02-07 10:14:24 UTC) #60
dak
Karlin High <karlinhigh@gmail.com> writes: > On 2/6/2020 2:45 PM, David Kastrup wrote: >> I am ...
3 weeks ago (2020-02-07 11:07:00 UTC) #61
dak
Karlin High <karlinhigh@gmail.com> writes: > On 2/6/2020 2:45 PM, David Kastrup wrote: >> I am ...
3 weeks ago (2020-02-07 20:08:37 UTC) #62
janek
Because of significant disagreement, and to ensure that LilyPond contributors don't feel pushed, I am ...
2 weeks, 6 days ago (2020-02-08 22:57:13 UTC) #63
dak
On 2020/02/08 22:57:13, janek wrote: > Because of significant disagreement, and to ensure that LilyPond ...
2 weeks, 6 days ago (2020-02-08 23:31:45 UTC) #64
janek
2 weeks, 6 days ago (2020-02-08 23:52:11 UTC) #65
niedz., 9 lut 2020 o 00:31 <dak@gnu.org> napisał(a):

> On 2020/02/08 22:57:13, janek wrote:
> > Because of significant disagreement, and to ensure that LilyPond
> contributors
> > don't feel pushed, I am hereby officially withdrawing this proposal. I
> apologize
> > for the disturbance caused by the way I have introduced this.
> >
> > Maybe I'll submit a revised proposal, but if I do, I'll definitely
> start with a
> > discussion on the mailing list first.
>
> I should apologize for my reaction here.  I need to learn to express "I
> don't see how I could do the part required by me to make this work" in a
> manner distinguishable from a preventive strike.  A skill that could
> have helped in a few situations.
>

Thank you, David, for this message. I appreciate it a lot!
"Apologize" is a magic word indeed; most of my irritation vanished after
reading your message and I feel we're part of the team again :-)

all the best,
Janek
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b